Subject: [Teep] Re: SUIT Report CDDL Consistency (Ken Takayama)
From: Ken Takayama <[email-masked]>
To: Hannes Tschofenig <hannes.tschofenig=[email-masked]>
Cc: "[email-masked]" <[email-masked]>, Ken Takayama <[email-masked]>
Date: Sun, 8 Feb 2026 19:34:24 +0900
List-Id: A Protocol for Dynamic Trusted Execution Environment Enablement <teep.ietf.org>

Hannes,

Thank you for addressing the issue.
However, as I mentioned in my comment here, I believe a few more
adjustments are still needed:
https://github.com/ietf-teep/teep-protocol/issues/404#issuecomment-3866923447

In short, `SUIT_Report` represents the SUIT Report without COSE protection,
i.e. with neither authentication nor encryption.

Best regards,
Ken

2026年2月1日(日) 21:24 Hannes Tschofenig <hannes.tschofenig=
[email-masked]>:

> Hi Ken,
>
> thanks for your feedback regarding the SUIT Report encoding consistency.
>
> I have made the following changes:
>
> - Made SUIT Reports CDDL consistent across all messages (QueryRequest,
> QueryResponse, Success, Error) with "suit-reports => [ + bstr .cbor
> SUIT_Report ]"
> - Enhanced documentation to clarify:
>    * Reports are encoded as CBOR byte strings (protected or unprotected)
>    * When a SUIT Report includes own COSE protection, the cryptographic
>      key must be distinct from the TEEP message's COSE security wrapper
>    * Unprotected reports rely on the TEEP message's COSE_Sign1/Sign wrapper
>      for authenticity
>
> I hope version -22 addresses your feedback:
> https://www.ietf.org/archive/id/draft-ietf-teep-protocol-22.txt
>
> FWIW I also addressed this issue:
> https://github.com/ietf-teep/teep-protocol/issues/403
>
> Ciao
> Hannes
>
> PS: The changes can be found here:
>
> https://github.com/ietf-teep/teep-protocol/commit/07295b4e5dddfed09504e21f8261422e89e28bbf
>
>
>
> _______________________________________________
> TEEP mailing list -- [email-masked]
> To unsubscribe send an email to [email-masked]
>